Subject: Re: RFC - "git editlog" feature for fixing up local commit messages

From: Miles Bader <[email-masked]>
Date: Tue, 30 Mar 2010 14:46:34 +0900

Eric Raymond <[email-masked]> writes:
> There is a semi-documented procedure for amending previous commits
> using an interactive rebase, but trying to understand it makes my
> brain hurt.  Don't want to go there.

I'd recommend becoming familiar with rebase -i anyway -- it's just
plain useful, and really almost trivial to use once you've tried it.

Fixing comment typos is simple using the "r"/"reword" directive, but
the ability to rearrange, drop, and merge commits, is also very
handy and easy using rebase -i.

-Miles

-- 
In New York, most people don't have cars, so if you want to kill a person, you
have to take the subway to their house.  And sometimes on the way, the train
is delayed and you get impatient, so you have to kill someone on the subway.
  [George Carlin]